# Uses of Interface
org.apache.sling.validation.ValidationFailure

Packages that use ValidationFailure
Package
Description
org.apache.sling.validation
org.apache.sling.validation.spi.support

## Uses of ValidationFailure in org.apache.sling.validation

Methods in org.apache.sling.validation that return types with arguments of type ValidationFailure
Modifier and Type
Method
Description
`@NotNull List<ValidationFailure>`
ValidationResult.`getFailures()`
In case the validation failed (check the `ValidationResult.isValid()` method), this method returns the failure's causes.

## Uses of ValidationFailure in org.apache.sling.validation.spi.support

Classes in org.apache.sling.validation.spi.support that implement ValidationFailure
Modifier and Type
Class
Description
`final class`
`DefaultValidationFailure`
Wraps a message key (being looked up in a `ResourceBundle`), messageArguments (being used with `MessageFormat.format(String, Object...)` and the location where the validation failure occurred.
Methods in org.apache.sling.validation.spi.support that return types with arguments of type ValidationFailure
Modifier and Type
Method
Description
`@NotNull List<ValidationFailure>`
DefaultValidationResult.`getFailures()`
Constructors in org.apache.sling.validation.spi.support with parameters of type ValidationFailure
Modifier
Constructor
Description
``
`DefaultValidationResult(ValidationFailure... failures)`